﻿local NAME, addon = ...

local locales = {
	enUS = {
		config_groups = {
			interaction = "Interaction",
			appearance = "Appearance",
			size = "Size and Transparency",
			general = "General",
		},
		config_panels = {
			options = "Options"
		},
		config = {
			autoloot_coin = "Auto loot coin",
			autoloot_quest = "Auto loot quest items",
			when_never = "Never",
			when_solo = "Solo",
			when_always = "Always",
			when_auto = "Automatic",
			frame_scale = "Frame scale",
			frame_scale_low = "Small",
			frame_scale_high = "Large",
			frame_alpha = "Frame transparency",
			frame_alpha_low = "Transparent",
			frame_alpha_high = "Opaque",
			frame_color_border = "Frame border color",
			frame_color_backdrop = "Frame backdrop color",
			frame_color_gradient = "Frame gradient color",
			frame_width_automatic = "Automatically expand frame",
			frame_width = "Frame width",
			loot_highlight = "Highlight slots on mouseover",
			loot_alpha = "Slot transparency",
			loot_alpha_low = "Transparent",
			loot_alpha_high = "Opaque",
			loot_color_border = "Loot border color",
			loot_color_backdrop = "Loot backdrop color",
			loot_color_gradient = "Loot gradient color",
			loot_color_info = "Information font color",
			loot_collapse = "Collapse looted slots",
			quality_color_frame = "Color frame border by top quality",
			quality_color_loot = "Color loot border by quality",
			loot_texts_info = "Show detailed information",
			loot_texts_bind = "Show loot bind type",
			font_size_loot = "Loot font size",
			font_size_info = "Information font size",
			frame_snap = "Snap frame to mouse",
			frame_snap_offset_x = "Horizontal snap offset",
			frame_snap_offset_y = "Vertical snap offset",
			frame_draggable = "Loot frame draggable",
			linkall_threshold = "Minimum chat link quality",
			linkall_channel = "Default chat link channel",
			linkall_show = "Link button visibility",
			skin = "Skin",
			skin_default = "XLoot: Default",
			skin_legacy = "XLoot: Legacy",
			skin_smooth = "XLoot: Smooth",
		},
		linkall_threshold_missed = "No loot meets your quality threshold",
		button_link = "Link",
		button_close = "Close",
		bind_on_use_short = "BoU",
		bind_on_equip_short = "BoE",
		bind_on_pickup_short = "BoP"
	},
	-- Possibly localized
	ptBR = {},
	frFR = {},
	deDE = {},
	koKR = {},
	esMX = {},
	ruRU = {},
	zhCN = {},
	esES = {},
	zhTW = {},
}

-- Automatically inserted translations
-- See: http://wow.curseforge.com/addons/xloot-1-0/localization/ to create or fix translations
locales.ptBR.config = {
}
locales.ptBR.config_groups = {
}
locales.ptBR.config_panels = {
}

locales.frFR["bind_on_equip_short"] = "LqE" -- Needs review
locales.frFR["bind_on_pickup_short"] = "LqR" -- Needs review
locales.frFR["bind_on_use_short"] = "LqU" -- Needs review
locales.frFR["button_close"] = "Fermer" -- Needs review
locales.frFR["button_link"] = "Lien" -- Needs review
locales.frFR["linkall_threshold_missed"] = "Aucun butin ne rencontre votre seuil de qualité" -- Needs review
locales.frFR.config = {
	frame_alpha = "Transparence du cadre", -- Needs review
	frame_alpha_high = "Opaque", -- Needs review
	frame_alpha_low = "Transparent", -- Needs review
	frame_scale = "Échelle du cadre", -- Needs review
	frame_scale_high = "Large", -- Needs review
	frame_scale_low = "Petite", -- Needs review
	frame_width = "Largeur de cadre", -- Needs review
	loot_alpha = "Transparence d'emplacement", -- Needs review
	loot_alpha_high = "Opaque", -- Needs review
	loot_alpha_low = "Transparent", -- Needs review
	skin = "Skin", -- Needs review
	skin_default = "XLoot : défaut", -- Needs review
	skin_legacy = "XLoot : héritage", -- Needs review
}
locales.frFR.config_groups = {
	appearance = "Apparence", -- Needs review
	general = "Général", -- Needs review
	interaction = "Interaction", -- Needs review
	size = "Taille et Transparence", -- Needs review
}
locales.frFR.config_panels = {
	options = "Options", -- Needs review
}

locales.deDE["button_close"] = "Schliessen" -- Needs review
locales.deDE.config = {
	frame_scale_high = "Groß", -- Needs review
	frame_scale_low = "Klein", -- Needs review
}
locales.deDE.config_groups = {
	appearance = "Aussehen", -- Needs review
}
locales.deDE.config_panels = {
}

locales.koKR.config = {
}
locales.koKR.config_groups = {
}
locales.koKR.config_panels = {
}

locales.esMX.config = {
}
locales.esMX.config_groups = {
}
locales.esMX.config_panels = {
}

locales.ruRU.config = {
}
locales.ruRU.config_groups = {
}
locales.ruRU.config_panels = {
}

locales.zhCN.config = {
}
locales.zhCN.config_groups = {
}
locales.zhCN.config_panels = {
}

locales.esES.config = {
}
locales.esES.config_groups = {
}
locales.esES.config_panels = {
}

locales.zhTW["bind_on_equip_short"] = "裝備後綁定"
locales.zhTW["bind_on_pickup_short"] = "拾取後綁定"
locales.zhTW["bind_on_use_short"] = "使用後綁定"
locales.zhTW["button_close"] = "關閉"
locales.zhTW["button_link"] = "連結"
locales.zhTW["linkall_threshold_missed"] = "拾取沒有達到你的品質門檻"
locales.zhTW.config = {
	font_size_info = "訊息字型大小",
	font_size_loot = "拾取字型大小",
	frame_alpha = "框架透明度",
	frame_alpha_high = "不透明",
	frame_alpha_low = "透明",
	frame_color_backdrop = "框架背景顏色",
	frame_color_border = "框架邊框顏色",
	frame_color_gradient = "框架傾斜顏色",
	frame_draggable = "可移動拾取框架",
	frame_scale = "框架縮放",
	frame_scale_high = "大",
	frame_scale_low = "小",
	frame_snap = "依附至鼠標",
	frame_snap_offset_x = "依附水平偏移",
	frame_snap_offset_y = "依附垂直偏移",
	frame_width = "框架寬度",
	frame_width_automatic = "自動延伸框架",
	linkall_channel = "預設廣播頻道",
	linkall_threshold = "可連結到頻道的最低品質",
	loot_alpha = "格子透明度",
	loot_alpha_high = "不透明",
	loot_alpha_low = "透明",
	loot_collapse = "折疊拾取格子",
	loot_color_backdrop = "拾取框背景顏色",
	loot_color_border = "拾取框邊框顏色",
	loot_color_gradient = "拾取框傾斜顏色",
	loot_color_info = "細節訊息顏色",
	loot_highlight = "高亮在滑鼠懸停",
	loot_texts_bind = "顯示拾取綁定類型",
	loot_texts_info = "顯示細節訊息",
	quality_color_frame = "以最高品質上色框架",
	quality_color_loot = "以品質上色拾取框架",
	skin = "外觀",
	skin_default = "XLoot: 預設",
	skin_legacy = "XLoot: 傳統",
}
locales.zhTW.config_groups = {
	appearance = "外觀",
	general = "一般",
	interaction = "互動",
	size = "大小與透明度",
}
locales.zhTW.config_panels = {
	options = "選項",
}


local L = locales[GetLocale()] and locales[GetLocale()] or locales.enUS
if L ~= locales.enUS then
	setmetatable(L, { __index = locales.enUS })
	for k, v in pairs(L) do	
		if type(v) == 'table' then
			setmetatable(v, { __index = locales.enUS[k] })
		end
	end
end
addon.L = L
